POST /_system/authentication-groups

Create a new authentication group

Create a new authentication group
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
descriptionoptionalstring
"Used by the nightly order sync."
Group description
is_activeoptionalboolean
true
Whether the group is active
nameoptionalstring
"production"
Group name
permissionsoptionalarray
["manage_users", ...]
Array of permission strings
{
  "_meta": {
    "created": 1782166695,
    "entity": 1,
    "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "modified": 1782166695,
    "updated": 1782166695
  },
  "description": "Full system access group",
  "is_active": true,
  "name": "Administrators",
  "permissions": [
    "view_audit_logs",
    "manage_users",
    "setting_edit_blueprints"
  ]
}
{
  "error": "INVALID_BODY",
  "fields": [
    "example"
  ]
}
StatusError CodeDescription
400INVALID_BODYValidation error
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
authentication_groups_createRequired scope: authentication_groups_create

Back to Authentication Groups Return to the Authentication Groups category to view other endpoints All API Categories Browse all available API categories